#include<iostream.h>
#include<iomanip.h>
 const double pi(3.14);
 template<class T>
 T area(T a,T b)
{
 return(a*b);
}
 double area(double r)
{
 return(pi*r*r);
}
 template<class T>
 T area(T a,T b);
 double area(double r);
 int main()
{
 float r,a2,b2;
 int a1,b1;
 cout<<"请输入圆的半径r： "<<endl;
 cin>>r;
 cout<<"圆的面积是："<<setw(6)<<setprecision(4)<<area(r)<<endl;
 cout<<"请输入矩形的长a和宽b（整型）： "<<endl;
 cin>>a1>>b1;
 cout<<"矩形的面积是："<<setw(4)<<area(a1,b1)<<endl;
 cout<<"请输入矩形的长a和宽b（实型）： "<<endl;
 cin>>a2>>b2;
 cout<<"矩形的面积是："<<setw(6)<<setprecision(4)<<area(a2,b2)<<endl;
 return(0);
}